#pragma once

#include <QJsonArray>
#include <QJsonObject>
#include <QString>
#include <QUrl>

struct Service {
	Service(QJsonObject const &o);

	QString	title;
	QUrl	url;
	QUrl	documentationUrl;
	QUrl	image;
	QString	description;
	QString	specialNote;
	bool	LDAP;
};

class Services:public QList<Service> {
public:
	Services():QList<Service>() {}
	Services(QJsonArray const &a);
};
